--- configure.ac.orig	2014-07-07 07:47:09.000000000 -0700
+++ configure.ac	2014-07-07 10:36:59.000000000 -0700
@@ -157,7 +157,10 @@
 
 
 # Libraries used by libglom:
-REQUIRED_LIBGLOM_LIBS='giomm-2.4 >= 2.32.0 libxml++-2.6 >= 2.23.1 libxslt >= 1.1.10 pygobject-3.0 >= 2.29.0 libgdamm-5.0 >= 4.99.8 libgda-5.0 >= 5.2.1 libgda-postgres-5.0 libgda-postgres-5.0 libgda-mysql-5.0 libarchive >= 3.0'
+REQUIRED_LIBGLOM_LIBS='giomm-2.4 >= 2.32.0 libxml++-2.6 >= 2.23.1 libxslt >= 1.1.10 pygobject-3.0 >= 2.29.0 libgdamm-5.0 >= 4.99.8 libgda-5.0 >= 5.2.1 libgda-postgres-5.0 libgda-postgres-5.0 libarchive >= 3.0'
+
+AS_IF([test "x$glom_enable_mysql" = xyes],
+      [REQUIRED_LIBGLOM_LIBS="$REQUIRED_LIBGLOM_LIBS libgda-mysql-5.0"])
 
 AS_IF([test "x$glom_host_win32" != xyes],
       [REQUIRED_LIBGLOM_LIBS="$REQUIRED_LIBGLOM_LIBS libepc-1.0 >= 0.4.0"])
@@ -230,6 +233,17 @@
 # so we can use pyexec_LTLIBRARIES in the .am files:
 AM_PATH_PYTHON
 
+dnl Override standard python locations with MacPorts version specific ones
+
+AC_SUBST([PYTHON_PREFIX], [`$PYTHON -c 'import sys; print(sys.prefix);'`])
+AC_SUBST([PYTHON_EXEC_PREFIX], [`$PYTHON -c 'import sys; print(sys.exec_prefix)'`])
+
+am_cv_python_pythondir=$PYTHON_PREFIX/lib/python$PYTHON_VERSION/site-packages
+am_cv_python_pyexecdir=$PYTHON_EXEC_PREFIX/lib/python$PYTHON_VERSION/site-packages
+
+AC_SUBST([pythondir], [$am_cv_python_pythondir])
+AC_SUBST([pyexecdir], [$am_cv_python_pyexecdir])
+
 # Get the compiler and linker flags for embedding Python.
 # To specify a particular python version you must set an environment variable.
 # For instance:
